<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/app_blue"
    tools:ignore="MissingConstraints">


    <LinearLayout
        android:id="@+id/ll_continuous_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_23dp"
        android:layout_marginTop="@dimen/d_15dp"
        android:layout_marginBottom="@dimen/d_10dp"
        android:orientation="horizontal">

        <com.guadou.lib_baselib.font_text_view.TextViewLight
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连续登录"
            android:textColor="@color/white"
            android:textSize="@dimen/d_12sp" />

        <TextView
            android:id="@+id/tv_daily_login_continuous_day"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="@dimen/d_2dp"
            android:paddingRight="@dimen/d_2dp"
            android:text="-"
            android:textColor="#F3D744"
            android:textSize="@dimen/d_14sp" />

        <com.guadou.lib_baselib.font_text_view.TextViewLight
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="天"
            android:textColor="@color/white"
            android:textSize="@dimen/d_12sp" />


    </LinearLayout>

    <ImageView
        android:id="@+id/iv_line"
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_0.5dp"
        android:layout_below="@+id/ll_continuous_login"
        android:src="@color/white" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/iv_line"
        android:layout_marginLeft="@dimen/d_10dp"
        android:layout_marginRight="@dimen/d_5dp"
        android:orientation="horizontal">

        <!--Day1-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                tools:ignore="MissingConstraints" />

            <ImageView
                android:id="@+id/iv_teasurechest1"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date1" />

            <ImageView
                android:id="@+id/iv_daily_choose1"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date1" />

            <TextView
                android:id="@+id/tv_points1"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose1"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose1"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose1"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose1" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day2-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest2"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date2" />

            <ImageView
                android:id="@+id/iv_daily_choose2"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date2" />

            <TextView
                android:id="@+id/tv_points2"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose2"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose2"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose2"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose2" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day3-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest3"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date3" />

            <ImageView
                android:id="@+id/iv_daily_choose3"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date3" />

            <TextView
                android:id="@+id/tv_points3"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose3"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose3"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose3"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose3" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day4-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date4"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest4"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date4" />

            <ImageView
                android:id="@+id/iv_daily_choose4"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date4" />

            <TextView
                android:id="@+id/tv_points4"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose4"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose4"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose4"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose4" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day5-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date5"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest5"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date5" />

            <ImageView
                android:id="@+id/iv_daily_choose5"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date5" />

            <TextView
                android:id="@+id/tv_points5"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose5"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose5"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose5"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose5" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day6-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date6"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest6"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date6" />

            <ImageView
                android:id="@+id/iv_daily_choose6"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date6" />

            <TextView
                android:id="@+id/tv_points6"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose6"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose6"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose6"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose6" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--Day7-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingTop="@dimen/d_9dp"
            android:paddingBottom="@dimen/d_10dp">

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_date7"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/white"
                android:textSize="@dimen/d_10sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <ImageView
                android:id="@+id/iv_teasurechest7"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:src="@drawable/iv_daily_login_teasurechest"
                android:visibility="gone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date7" />

            <ImageView
                android:id="@+id/iv_daily_choose7"
                android:layout_width="@dimen/d_24dp"
                android:layout_height="@dimen/d_24dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:src="@drawable/iv_daily_login_red_choose"
                android:visibility="invisible"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_date7" />

            <TextView
                android:id="@+id/tv_points7"
                android:layout_width="@dimen/d_20dp"
                android:layout_height="@dimen/d_20dp"
                android:background="@drawable/iv_daily_login_unchoice"
                android:gravity="center"
                android:text="+2"
                android:textColor="@color/white"
                android:textSize="@dimen/d_8sp"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="@id/iv_daily_choose7"
                app:layout_constraintLeft_toLeftOf="@id/iv_daily_choose7"
                app:layout_constraintRight_toRightOf="@id/iv_daily_choose7"
                app:layout_constraintTop_toTopOf="@id/iv_daily_choose7" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>


</RelativeLayout>